### Function

# RB DeviceSource uri_is_source

#### Declaration [src]

    gboolean
    rb_device_source_uri_is_source (
      RBSource* source,
      const char* uri
    )

#### Description [src]

Returns `TRUE` if `uri` matches `source`. This should be used to implement the uri_is_source `RBSource` method.

#### Parameters

`source`

  Type: `RBSource`

  A `RBDeviceSource`.

  The data is owned by the caller of the function.

`uri`

  Type: `const char*`

  A URI to check.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `uri` matches `source`.